Bug 504971 - [fix available][oocalc]Can not create autooutline on the cell range contains formula.
Summary: [fix available][oocalc]Can not create autooutline on the cell range contains ...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openoffice.org   
(Show other bugs)
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: David Tardon
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-06-10 09:09 UTC by Yewei Shao
Modified: 2010-03-30 08:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 08:45:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
backported patch (11.45 KB, patch)
2009-06-12 12:22 UTC, David Tardon
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0274 normal SHIPPED_LIVE openoffice.org bug fix and enhancement update 2010-03-29 13:52:09 UTC
OpenOffice.org 99250 None None None Never

Description Yewei Shao 2009-06-10 09:09:33 UTC
Description of problem:
Can not create autooutline on the cell range contains formula.

Version-Release number of selected component (if applicable):
openoffice.org-2.3.0-6.11.el5

How reproducible:everytime


Steps to Reproduce:
1. Launch the oocalc
2. Create a table like this:
January  February  March    1st Quarter   April  May  June    2nd Quarter
 100       200      300   =SUM(A2;B2;C2)   400   500  600    =SUM(E2;F2;G2)
3. Select the cell with formula,click the Data->Outline->AutoOutline

  
Actual results:
After the step 3, nothing will happen.

Expected results:
The table should be grouped into two quarters

Additional info:

Comment 1 Caolan McNamara 2009-06-10 10:08:04 UTC
Rather than using =SUM(A2;B2;C2) try using a direct range instead e.g.
=SUM(A2:C2)

Comment 2 David Tardon 2009-06-12 12:22:59 UTC
Created attachment 347539 [details]
backported patch

Comment 4 koka xiong 2010-01-04 09:02:32 UTC
Verified with openoffice.org-3.1.1-19.1.el5
on 
Red Hat Enterprise Linux 5Client - i386, x86_64
Red Hat Enterprise Linux 5Server-DPAS - i386, x86_64
1.Launch the oocalc
2. Create a table like this:
January  February  March    1st Quarter   April  May  June    2nd Quarter
 100       200      300   =SUM(A2;B2;C2)   400   500  600    =SUM(E2;F2;G2)
3. Select the cell with formula,click the Data->Group and Outline->AutoOutline
4.It can outline the cells to two quarters now.


Verified passed.

Comment 6 errata-xmlrpc 2010-03-30 08:45:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0274.html


Note You need to log in before you can comment on or make changes to this bug.